package com.hzya.frame.sys.viewFiled.entity;

import java.util.Date;
import cn.dev33.satoken.stp.StpUtil;
import com.hzya.frame.sys.userViewFiled.entity.UserViewFiled;
import com.hzya.frame.uuid.UUIDUtils;
import com.hzya.frame.web.entity.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.math.BigDecimal;
import java.util.List;

/**
 * @description: 显示字段表
 * @tableName:   sys_view_filed
 * @entityName:  ViewFiled
 * @author: 	 llg
 * @history:	 1.0
 */
public class  ViewFiled  extends BaseEntity {

	/** 主键ID */
	private String id;
	/** 表缓存表id */
	private String tableCacheId;
	/** 服务名 */
	private String serverName;
	/** 显示名称 */
	private String viewName;
	/** 显示字段 */
	private String viewFiled;
	/** 数据库字段名称 */
	private String datebaseName;
	/** 前端字段类型 */
	private String tag;
	/** 数据类型 */
	private String valueType;
	/** 展示类型 1、显示 2、不显示 */
	private String showType;
	/** 查询类型 1、查询 2、不查询 */
	private String queryType;
	/** 新增展示类型 1、显示 2、不显示 */
	private String addShowType;
	/** 新增是否必填类型 1、必填 2、不必填 */
	private String addRequiredType;
	/** 修改展示类型 1、显示 2、不显示 */
	private String updateShowType;
	/** 修改是否必填类型 1、必填 2、不必填 */
	private String updateRequiredType;
	/** 排序 */
	private Long sorts;
	/** 创建人id */
	private String createUserId;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	/** 修改人id */
	private String modifyUserId;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date modifyTime;
	/** 状态(Y正常N删除) */
	private String sts;
	/** 组织机构ID */
	private String orgId;
	private String sort;
	private String order;
	private List<UserViewFiled> userViewFileds;

	/** 表缓存表id */
	public void setTableCacheId(String tableCacheId) {
		this.tableCacheId = tableCacheId;
	}
	/** 表缓存表id */
	public String getTableCacheId() {
		return tableCacheId;
	}
	/** 服务名 */
	public void setServerName(String serverName) {
		this.serverName = serverName;
	}
	/** 服务名 */
	public String getServerName() {
		return serverName;
	}
	/** 显示名称 */
	public void setViewName(String viewName) {
		this.viewName = viewName;
	}
	/** 显示名称 */
	public String getViewName() {
		return viewName;
	}
	/** 显示字段 */
	public void setViewFiled(String viewFiled) {
		this.viewFiled = viewFiled;
	}
	/** 显示字段 */
	public String getViewFiled() {
		return viewFiled;
	}
	/** 数据库字段名称 */
	public void setDatebaseName(String datebaseName) {
		this.datebaseName = datebaseName;
	}
	/** 数据库字段名称 */
	public String getDatebaseName() {
		return datebaseName;
	}
	/** 前端字段类型 */
	public void setTag(String tag) {
		this.tag = tag;
	}
	/** 前端字段类型 */
	public String getTag() {
		return tag;
	}
	/** 数据类型 */
	public void setValueType(String valueType) {
		this.valueType = valueType;
	}
	/** 数据类型 */
	public String getValueType() {
		return valueType;
	}
	/** 展示类型 1、显示 2、不显示 */
	public void setShowType(String showType) {
		this.showType = showType;
	}
	/** 展示类型 1、显示 2、不显示 */
	public String getShowType() {
		return showType;
	}
	/** 查询类型 1、查询 2、不查询 */
	public void setQueryType(String queryType) {
		this.queryType = queryType;
	}
	/** 查询类型 1、查询 2、不查询 */
	public String getQueryType() {
		return queryType;
	}
	/** 新增展示类型 1、显示 2、不显示 */
	public void setAddShowType(String addShowType) {
		this.addShowType = addShowType;
	}
	/** 新增展示类型 1、显示 2、不显示 */
	public String getAddShowType() {
		return addShowType;
	}
	/** 新增是否必填类型 1、必填 2、不必填 */
	public void setAddRequiredType(String addRequiredType) {
		this.addRequiredType = addRequiredType;
	}
	/** 新增是否必填类型 1、必填 2、不必填 */
	public String getAddRequiredType() {
		return addRequiredType;
	}
	/** 修改展示类型 1、显示 2、不显示 */
	public void setUpdateShowType(String updateShowType) {
		this.updateShowType = updateShowType;
	}
	/** 修改展示类型 1、显示 2、不显示 */
	public String getUpdateShowType() {
		return updateShowType;
	}
	/** 修改是否必填类型 1、必填 2、不必填 */
	public void setUpdateRequiredType(String updateRequiredType) {
		this.updateRequiredType = updateRequiredType;
	}
	/** 修改是否必填类型 1、必填 2、不必填 */
	public String getUpdateRequiredType() {
		return updateRequiredType;
	}
	/** 排序 */
	public void setSorts(Long sorts) {
		this.sorts = sorts;
	}
	/** 排序 */
	public Long getSorts() {
		return sorts;
	}
	/** 创建人id */
	public void setCreateUserId(String createUserId) {
		this.createUserId = createUserId;
	}
	/** 创建人id */
	public String getCreateUserId() {
		return createUserId;
	}
	/** 创建时间 */
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	/** 创建时间 */
	public Date getCreateTime() {
		return createTime;
	}
	/** 修改人id */
	public void setModifyUserId(String modifyUserId) {
		this.modifyUserId = modifyUserId;
	}
	/** 修改人id */
	public String getModifyUserId() {
		return modifyUserId;
	}
	/** 修改时间 */
	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}
	/** 修改时间 */
	public Date getModifyTime() {
		return modifyTime;
	}

	/** 组织机构ID */
	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}
	/** 组织机构ID */
	public String getOrgId() {
		return orgId;
	}




	public List<UserViewFiled> getUserViewFileds() {
		return userViewFileds;
	}

	public void setUserViewFileds(List<UserViewFiled> userViewFileds) {
		this.userViewFileds = userViewFileds;
	}

	@Override
	public String getId() {
		return id;
	}

	@Override
	public void setId(String id) {
		this.id = id;
	}

	@Override
	public String getSts() {
		return sts;
	}

	@Override
	public void setSts(String sts) {
		this.sts = sts;
	}

	@Override
	public String getSort() {
		return sort;
	}

	@Override
	public void setSort(String sort) {
		this.sort = sort;
	}

	@Override
	public String getOrder() {
		return order;
	}

	@Override
	public void setOrder(String order) {
		this.order = order;
	}
}
